=== debian/changelog ===
ros-pluginlib (1.10.1-2) unstable; urgency=medium

  * Fix compilation on non x86_64 arch (Closes: #810662)
  * Add dependencies

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 15:09:48 +0100

ros-pluginlib (1.10.1-1) unstable; urgency=medium

  * Initial release (Closes: #805335)

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Fri, 25 Dec 2015 23:58:53 +0000
