=== debian/control ===
Source: ros-pluginlib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-system-dev, ros-cmake-modules, libclass-loader-dev, librosconsole-bridge-dev, libroslib-dev, libtinyxml-dev, librosconsole-dev, libroscpp-core-dev
Standards-Version: 3.9.6
Section: libs
Homepage: http://wiki.ros.org/pluginlib
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-pluginlib.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-pluginlib.git

Package: pluginlib-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, python, libboost-dev, libboost-filesystem-dev, libboost-system-dev, libtinyxml-dev, libclass-loader-dev, librosconsole-dev, libroslib-dev, ros-cmake-modules, libboost-filesystem-dev, libboost-system-dev
Description: ROS library for plugins
 This package is part of Robot OS (ROS). This is the high-level ROS
 plugin interface. It provides tools for writing and dynamically
 loading plugins using the ROS build infrastructure. To work, these
 tools require plugin providers to register their plugins in their
 package.xml file.
