## ros-pluginlib 1.10.3

=== debian/changelog ===
ros-pluginlib (1.10.3-1build1) yakkety; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Aug 2016 08:31:46 +0000

ros-pluginlib (1.10.3-1) unstable; urgency=medium

  * Make rules reproducible.
    Thanks to Daniel Shahaf (Closes: #823174)
  * Imported Upstream version 1.10.3

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jul 2016 23:12:21 +0200

ros-pluginlib (1.10.1-3) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 07:27:00 +0100
