=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
            Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
-Build-Depends: debhelper (>= 9), catkin (>> 0.6.16-2), libboost-filesystem-dev, libboost-system-dev, ros-cmake-modules, libclass-loader-dev, librosconsole-bridge-dev, libroslib-dev, libtinyxml-dev, librosconsole-dev, libroscpp-core-dev
+Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libboost-filesystem-dev, libboost-system-dev, ros-cmake-modules, libclass-loader-dev, librosconsole-bridge-dev, libroslib-dev, libtinyxml-dev, librosconsole-dev, libroscpp-core-dev
 Standards-Version: 3.9.6
 Section: libs
 Homepage: http://wiki.ros.org/pluginlib
