=== debian/changelog ===
ros-pluginlib (1.10.4-2build3) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:23:37 +0000

ros-pluginlib (1.10.4-2build2) zesty; urgency=medium

  * Rebuild against new libpoco*46.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Nov 2016 09:39:21 +0100

ros-pluginlib (1.10.4-2build1) zesty; urgency=high

  * No change rebuild against boost1.62.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 01 Nov 2016 16:44:08 +0000

ros-pluginlib (1.10.4-2) unstable; urgency=medium

  * add versioned dependency on libclass-loader-dev for UniquePtr

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 28 Sep 2016 14:19:23 +0200

ros-pluginlib (1.10.4-1) unstable; urgency=medium

  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address
  * New upstream version 1.10.4

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 23 Sep 2016 10:15:56 +0200
