=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure
-	echo 'add_definitions(-DCMAKE_LIBRARY_ARCHITECTURE=\\"$${CMAKE_LIBRARY_ARCHITECTURE}\\")' >> build/catkin_generated/installspace/pluginlibConfig.cmake
+	printf 'add_definitions(-DCMAKE_LIBRARY_ARCHITECTURE=\\"%s\\")\n' '$${CMAKE_LIBRARY_ARCHITECTURE}' >> build/catkin_generated/installspace/pluginlibConfig.cmake
 
 override_dh_auto_install:
 	dh_auto_install --destdir=debian/tmp
