=== debian/changelog ===
ros-pluginlib (1.12.1-3) unstable; urgency=medium

  * Switch to Python 3
  * switch to debhelper-compat and debhelper 12
  * Bump policy version (no changes)
  * simplify d/watch
  * add Salsa CI

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 26 Oct 2019 07:30:43 +0200

ros-pluginlib (1.12.1-2) unstable; urgency=medium

  * Simplify installation (needs new catkin)
  * Bump policy version (no changes)
  * simplify d/rules

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Oct 2018 07:58:00 +0200

ros-pluginlib (1.12.1-1) unstable; urgency=medium

  * Fix build-depends-on-1-revision
  * New upstream version 1.10.5
  * Update policy and debhelper versions
  * Update watch file
  * Remove old versioned dependency
  * Limit watch to ROS1 versions
  * New upstream version 1.11.2
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * New upstream version 1.12.1
  * Update to new upstream version
  * Bump policy and debhelper versions
  * Rebase patches
  * Add sourcedirectory to dh

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jun 2018 22:29:56 +0200
