=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=cmake --builddirectory=build --sourcedirectory=pluginlib

# test suite is broken atm.
override_dh_auto_test:

override_dh_auto_configure:
	dh_auto_configure
	printf 'add_definitions(-DCMAKE_LIBRARY_ARCHITECTURE=\\"%s\\")\n' '$${CMAKE_LIBRARY_ARCHITECTURE}' >> build/catkin_generated/installspace/pluginlibConfig.cmake
