=== debian/changelog ===
ros-pluginlib (1.13.0-3) unstable; urgency=medium

  * Change pluginpath to lib/<triblet>/ros
  * drop gitlab-ci
  * Set Multi-Arch

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 21 Dec 2020 12:11:49 +0100

ros-pluginlib (1.13.0-2) unstable; urgency=medium

  * Remove Thomas from Uploaders, thanks for working on this
  * Add patch for Boost 1.74
  * bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 14 Dec 2020 12:15:08 +0100

ros-pluginlib (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * rebase patches
  * bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 06 Jun 2020 22:01:55 +0200
