=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=build --sourcedirectory=pluginlib

# test suite is broken atm.
override_dh_auto_test:
