=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-pluginlib-$1.tar.gz%" \
    https://github.com/ros/pluginlib/tags \
    (?:.*?/)?v?(1.\d[\d.]*)\.tar\.gz
