## ros-pluginlib 5.2.0

=== debian/changelog ===
ros-pluginlib (5.2.0-2) unstable; urgency=medium

  * Use ${LIB} in dlopen path and make package arch all

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 20:16:54 +0200

ros-pluginlib (5.2.0-1) unstable; urgency=medium

  * d/watch: allow latest version again
  * New upstream version 5.2.0
  * Update d/copyright
  * Rework patches
  * Switch to dh-ros and update dependencies
  * Depend on new class-loader

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 12 Jun 2022 15:49:24 +0200
