=== debian/control ===
Source: ros-pluginlib
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends:
 debhelper-compat (= 13),
 ament-cmake,
 ament-cmake-googletest <!nocheck>,
 dh-ros,
 libament-index-cpp-dev,
 libboost-dev,
 libclass-loader-dev (>> 2.3.0),
 libroslib-dev,
 libtinyxml2-dev,
Standards-Version: 4.6.1
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/pluginlib
Vcs-Git: https://salsa.debian.org/science-team/ros-pluginlib.git
Vcs-Browser: https://salsa.debian.org/science-team/ros-pluginlib

Package: pluginlib-dev
Section: libdevel
Architecture: all
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 ament-cmake,
 libament-index-cpp-dev,
 libboost-dev,
 libclass-loader-dev (>> 2.3.0),
 libroslib-dev,
 libtinyxml2-dev,
Description: ROS library for plugins
 This package is part of Robot OS (ROS). This is the high-level ROS
 plugin interface. It provides tools for writing and dynamically
 loading plugins using the ROS build infrastructure. To work, these
 tools require plugin providers to register their plugins in their
 package.xml file.
