=== debian/changelog ===
ros-pluginlib (5.2.1-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Jochen Sprickerhof ]
  * Add /usr/lib/<triplet> as a fallback path
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 10 Jan 2023 09:52:19 +0100

ros-pluginlib (5.2.1-1) unstable; urgency=medium

  * New upstream version 5.2.1

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 17 Sep 2022 08:57:09 +0200
