## ros-pluginlib 5.3.0

=== debian/changelog ===
ros-pluginlib (5.3.0-1) unstable; urgency=medium

  * New upstream version 5.3.0
  * Make it arch any as it depends on boost

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 16 Jun 2023 21:55:46 +0200
