=== debian/control ===
--- 
+++ 
@@ -22,7 +22,8 @@
 
 Package: pluginlib-dev
 Section: libdevel
-Architecture: all
+Architecture: any
+Multi-Arch: same
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
