## ros-pluginlib 5.4.1

=== debian/changelog ===
ros-pluginlib (5.4.1-1) unstable; urgency=medium

  * New upstream version 5.4.1
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 09 Feb 2024 11:08:54 +0100

ros-pluginlib (5.4.0-1) unstable; urgency=medium

  * New upstream version 5.4.0
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 13 Jan 2024 11:31:28 +0100
