=== debian/changelog ===
ros-pluginlib (5.5.0-2) unstable; urgency=medium

  * Rediff patches to fix FTBFS

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 16:45:35 +0200

ros-pluginlib (5.5.0-1) unstable; urgency=medium

  * New upstream version 5.5.0
  * Rediff patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 18 Jun 2024 16:06:44 +0200
