=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  libclass-loader-dev (>> 2.3.0),
  libroslib-dev,
  libtinyxml2-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/pluginlib
