=== debian/changelog ===
ros-pluginlib (5.7.0-1) unstable; urgency=medium

  * New upstream version 5.7.0
  * Refresh patches (no functional changes)
  * Wrap and sort Debian package files
  * Bump Standards-Version to 4.7.2
  * Add myself to uploaders
  * Add ament-lint as new dependency
  * Update d/copyright

 -- Timo Röhling <roehling@debian.org>  Thu, 04 Sep 2025 17:44:24 +0200
