=== debian/control ===
--- 
+++ 
@@ -1,19 +1,22 @@
 Source: ros-pluginlib
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Jochen Sprickerhof <jspricke@debian.org>,
-           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
+Uploaders:
+ Jochen Sprickerhof <jspricke@debian.org>,
+ Leopold Palomo-Avellaneda <leo@alaxarxa.net>,
+ Timo Röhling <roehling@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
+ dh-ros,
  ament-cmake,
  ament-cmake-googletest <!nocheck>,
- dh-ros,
+ ament-lint <!nocheck>,
  libament-index-cpp-dev,
  libboost-dev,
  libclass-loader-dev (>> 2.3.0),
  libroslib-dev,
  libtinyxml2-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Section: libs
 Rules-Requires-Root: no
 Homepage: https://wiki.ros.org/pluginlib
@@ -25,14 +28,14 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
- ${shlibs:Depends},
  ament-cmake,
  libament-index-cpp-dev,
  libboost-dev,
  libclass-loader-dev (>> 2.3.0),
  libroslib-dev,
  libtinyxml2-dev,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Description: ROS library for plugins
  This package is part of Robot OS (ROS). This is the high-level ROS
  plugin interface. It provides tools for writing and dynamically
