=== debian/changelog ===
ros-pluginlib (5.8.0-1) unstable; urgency=medium

  * Migrate debian/watch to version 5 format
  * New upstream version 5.8.0
  * Update patches
    - Obsolete: 0001-Drop-tinyxml2_vendor.patch
  * Do not build ros2plugin for now
  * Update d/copyright after file reorganisation
  * Introduce pluginlib-tools package for helper CLIs

 -- Timo Röhling <roehling@debian.org>  Sat, 18 Oct 2025 10:11:50 +0200
