=== debian/control ===
--- 
+++ 
@@ -22,11 +22,19 @@
 Homepage: https://wiki.ros.org/pluginlib
 Vcs-Git: https://salsa.debian.org/science-team/ros-pluginlib.git
 Vcs-Browser: https://salsa.debian.org/science-team/ros-pluginlib
+Description: ROS library for plugins
+ This package is part of Robot OS (ROS). This is the high-level ROS
+ plugin interface. It provides tools for writing and dynamically
+ loading plugins using the ROS build infrastructure. To work, these
+ tools require plugin providers to register their plugins in their
+ package.xml file.
 
 Package: pluginlib-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
+Recommends:
+ pluginlib-tools,
 Depends:
  ament-cmake,
  libament-index-cpp-dev,
@@ -36,9 +44,20 @@
  libtinyxml2-dev,
  ${misc:Depends},
  ${shlibs:Depends},
-Description: ROS library for plugins
- This package is part of Robot OS (ROS). This is the high-level ROS
- plugin interface. It provides tools for writing and dynamically
- loading plugins using the ROS build infrastructure. To work, these
- tools require plugin providers to register their plugins in their
- package.xml file.
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
+ .
+ This package installs the header only library.
+
+Package: pluginlib-tools
+Section: devel
+Architecture: any
+Multi-Arch: no
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: ${source:Synopsis}
+ ${source:Extended-Description}
+ .
+ This package installs pluginlib related tooling. Currently, this is
+ the list_plugins CLI.
