=== debian/rules ===
#!/usr/bin/make -f

# Ignore this for now unitl ros2cli has been debianized
export ROS_SKIP_PACKAGES = ros2plugin

export ROS_EXECUTE_AFTER_CONFIGURE=sed -i -e '1icmake_policy(SET CMP0057 NEW)' -e '$$aset(pluginlib_FOUND_CATKIN_PROJECT TRUE)\nset(pluginlib_INCLUDE_DIRS "/usr/include/pluginlib;/usr/include/class_loader;/usr/include/ament_index_cpp/;/usr/include/rcpputils;/usr/include/rcutils")\nset(pluginlib_LIBRARIES "-ltinyxml2;-lroslib;-lclass_loader;-lament_index_cpp;-lconsole_bridge;-lrcpputils;-lrcutils")' obj-$(DEB_HOST_GNU_TYPE)/pluginlib/ament_cmake_core/pluginlibConfig.cmake

%:
	dh $@ --buildsystem=ros
